dofile_once("data/scripts/lib/utilities.lua")

function give_player_gun(name)
  local inv_quick = EntityGetWithName("inventory_quick")
  local gun = EntityLoad("mods/palpatine_mod/files/fists/gun.xml")
  if gun then
    EntityAddChild(inv_quick, gun)
  else
    GamePrint("Couldn't load the gun ["..name.."]")
  end
end

function get_gun_count()
  local items = EntityGetAllChildren(EntityGetWithName("inventory_quick"))
  if not items then
    return 0
  end

  local count = 0
  for _, item in ipairs(items) do
    if EntityHasTag(item, "wand") then
      count = count + 1
    end
  end

  return count
end

function throw_item(from_x, from_y, to_x, to_y)
  local fists = EntityGetWithName("fists")
  local weapon = GetUpdatedEntityID()

  local fists_being_thrown_away = (fists == weapon)
  local guns = get_gun_count()


  -- Fists themselves are being thrown away, don't leave them lying on the ground.
  if fists_being_thrown_away then
    EntityKill(fists)
  end

  -- Give fists when the player throws away the last weapon.
  if guns == 0 then
    give_player_gun("fists")
  end
end
